import { Brush } from "igniteui-react-core/ES5/Brush";
import { XYChart } from "./XYChart";
import { DomWrapper, EventArgs, IList, Type } from "igniteui-react-core/ES5/type";
import { IZoomSlider } from "igniteui-react-core/ES5/IZoomSlider";
import { List$1 } from "igniteui-react-core/ES5/List$1";
import { DataSeriesType } from "igniteui-react-core/ES5/DataSeriesType";
import { IDataSeriesAdapterRule } from "igniteui-react-core/ES5/IDataSeriesAdapterRule";
import { XamDataChart } from "./XamDataChart";
import { FinancialChartVolumeType } from "./FinancialChartVolumeType";
import { FinancialChartXAxisMode } from "./FinancialChartXAxisMode";
import { FinancialChartYAxisMode } from "./FinancialChartYAxisMode";
import { FinancialChartType } from "./FinancialChartType";
import { HorizontalAlignment } from "igniteui-react-core/ES5/HorizontalAlignment";
import { FinancialIndicatorTypeCollection } from "./FinancialIndicatorTypeCollection";
import { FinancialOverlayTypeCollection } from "./FinancialOverlayTypeCollection";
import { AxisLabelsLocation } from "./AxisLabelsLocation";
import { FinancialChartZoomSliderType } from "./FinancialChartZoomSliderType";
import { BrushCollection } from "igniteui-react-core/ES5/BrushCollection";
import { IndicatorDisplayTypeCollection } from "./IndicatorDisplayTypeCollection";
import { FinancialChartRangeSelectorOptionCollection } from "./FinancialChartRangeSelectorOptionCollection";
import { CustomIndicatorNameCollection } from "./CustomIndicatorNameCollection";
import { IChartLegend } from "igniteui-react-core/ES5/IChartLegend";
import { ObservableCollection$1 } from "igniteui-react-core/ES5/ObservableCollection$1";
import { TemplatedHtmlControl } from "./TemplatedHtmlControl";
import { FinancialChartContext } from "./FinancialChartContext";
import { FinancialChartToolbarContext } from "./FinancialChartToolbarContext";
import { FinancialChartToolbarViewModel } from "./FinancialChartToolbarViewModel";
import { Series } from "./Series";
import { Axis } from "./Axis";
import { DataSeries } from "igniteui-react-core/ES5/DataSeries";
import { AxisLabelSettings } from "./AxisLabelSettings";
import { TitleSettings } from "./TitleSettings";
import { FinancialChartCustomIndicatorArgs } from "./FinancialChartCustomIndicatorArgs";
import { FinancialChartTypePicker } from "./FinancialChartTypePicker";
import { FinancialChartIndicatorMenu } from "./FinancialChartIndicatorMenu";
import { TrendLineType } from "igniteui-react-core/ES5/TrendLineType";
import { FinancialChartToolbarVisualData } from "./FinancialChartToolbarVisualData";
import { FinancialChartRangeSelectorViewModel } from "./FinancialChartRangeSelectorViewModel";
import { FinancialChartRangeSelectorVisualData } from "./FinancialChartRangeSelectorVisualData";
/**
 * @hidden
 */
export declare class FinancialChart extends XYChart {
    static $t: Type;
    protected g3(a: string, b: any, c: any): void;
    private v8;
    private v7;
    private v4;
    private wg;
    private qd;
    provideGrid(a: DomWrapper): void;
    onDocumentClick(a: Event): void;
    private su;
    private ss;
    private sp;
    private sr;
    private st;
    private sq;
    getContext(): FinancialChartContext;
    provideContainer(a: any): void;
    private wr;
    private w5;
    private vp;
    private w3;
    setGridRows(): void;
    protected gj(): void;
    private wn;
    private wo;
    private wx;
    private vo;
    private we;
    protected gg(a: XamDataChart): void;
    private w8;
    private xb;
    private w9;
    private xa;
    sc(): number;
    gr(source_: any, a: number, b: any): void;
    gs(source_: any, a: number, b: any): void;
    gq(source_: any): void;
    gu(source_: any, a: number, b: any, c: any): void;
    protected gm(a: Series, b: number): void;
    private pj;
    private pk;
    private tc;
    tj: any;
    private td;
    tk: any;
    private s9;
    tg: any;
    private te;
    tl: any;
    private tf;
    tm: any;
    private ta;
    th: any;
    private tb;
    ti: any;
    private q1;
    q2: IZoomSlider;
    protected get_cs(): number;
    protected set_cs(a: number): void;
    protected get_bq(): boolean;
    protected set_bq(a: boolean): void;
    private r5;
    sg: number;
    constructor();
    protected h7(): Axis;
    protected h8(): Axis;
    protected u(a: DataSeries): DataSeriesType;
    protected get_b5(): List$1<DataSeriesType>;
    protected readonly b5: List$1<DataSeriesType>;
    protected get_b4(): List$1<IDataSeriesAdapterRule>;
    protected readonly b4: List$1<IDataSeriesAdapterRule>;
    private o6;
    private qk;
    private o5;
    protected f3(): void;
    protected f1(a: Series, b: number): void;
    protected hh(a: DataSeries): void;
    protected hk(): void;
    private po;
    private pn;
    private px;
    private pq;
    private tu;
    private o7;
    private ql;
    private qr;
    private qs;
    private qq;
    private qt;
    private readonly q8;
    private p7;
    private readonly p8;
    private readonly rb;
    private p5;
    private readonly p6;
    private readonly q9;
    private p9;
    private readonly qa;
    private readonly ra;
    private qe;
    private readonly qf;
    protected aq(a: DataSeries, b: DataSeriesType): Series;
    protected hj(): void;
    protected m6(a: (arg1: Axis) => void, b: string): void;
    protected na(a: (arg1: Axis) => void, b: boolean): void;
    protected m8(a: (arg1: TitleSettings) => void): void;
    protected nc(a: (arg1: TitleSettings) => void): void;
    protected nb(a: (arg1: AxisLabelSettings) => void): void;
    protected m7(a: (arg1: AxisLabelSettings) => void): void;
    protected gf(a: XamDataChart): void;
    private static s7;
    private tn;
    private uo;
    private vy;
    private vl;
    private vm;
    private vq;
    private vt;
    private vr;
    private vs;
    private vu;
    private s1;
    protected f9(a: (arg1: Series, arg2: number) => void): void;
    private qx;
    private volumeChart;
    private wi;
    private rc;
    private rg;
    private rd;
    private rf;
    private wh;
    private qu;
    private qw;
    private wz;
    dj(): any;
    ts(): string;
    private qv;
    private wy;
    private rl;
    private ww;
    protected gc(): void;
    protected get_bv(): boolean;
    protected readonly rp: boolean;
    private w4;
    private wj;
    protected gy(a: (arg1: XamDataChart) => void, b: boolean, c: string): void;
    private vw;
    private ws;
    private readonly ro;
    private vx;
    private rh;
    private wm;
    private v1;
    private v6;
    private v5;
    private vz;
    private v0;
    private wa;
    private wd;
    private wb;
    private vn;
    private wq;
    private w2;
    private v2;
    private w0;
    private rk;
    private v9;
    private vv;
    private wu;
    private wt;
    private wl;
    private v3;
    private w1;
    private wv;
    protected ho(a: Series, b: Series, c: DataSeries): void;
    protected m1(a: Axis): void;
    protected m3(a: Axis): void;
    private wc;
    protected gk(a: Series, b: number): void;
    protected g1(a: string, b: any, c: any): void;
    private q7;
    rn: boolean;
    private s0;
    s8: number;
    private r7;
    sk: number;
    private r9;
    sm: number;
    private r8;
    sl: number;
    private sa;
    sn: number;
    readonly sj: number;
    readonly si: number;
    private pp;
    pr: FinancialChartVolumeType;
    private ps;
    pt: FinancialChartXAxisMode;
    private pu;
    pv: FinancialChartYAxisMode;
    private q4;
    ri: boolean;
    private pl;
    pm: FinancialChartType;
    protected get_ni(): HorizontalAlignment;
    protected set_ni(a: HorizontalAlignment): void;
    private q5;
    rj: boolean;
    private pz;
    p0: FinancialIndicatorTypeCollection;
    private p1;
    p2: FinancialOverlayTypeCollection;
    private rr;
    private indicatorCharts;
    private q6;
    rm: boolean;
    protected get_cu(): number;
    protected set_cu(a: number): void;
    protected get_ie(): AxisLabelsLocation;
    protected set_ie(a: AxisLabelsLocation): void;
    private qy;
    zoomSliderChart: XamDataChart;
    private qj;
    private zoomSliderAxis;
    private o4;
    private zoomSliderXAxis;
    private pw;
    py: FinancialChartZoomSliderType;
    private on;
    ov: BrushCollection;
    private oo;
    ow: BrushCollection;
    private op;
    ox: BrushCollection;
    private oq;
    oy: BrushCollection;
    private os;
    o0: BrushCollection;
    private or;
    oz: BrushCollection;
    private om;
    ou: BrushCollection;
    private ol;
    ot: BrushCollection;
    private r6;
    sh: number;
    private r4;
    sf: number;
    private r3;
    se: number;
    private qb;
    qc: IndicatorDisplayTypeCollection;
    private sw;
    s3: number;
    private r2;
    sd: number;
    private sz;
    s6: number;
    private sx;
    s4: number;
    private sv;
    s2: number;
    private sy;
    s5: number;
    private pg;
    pi: FinancialChartRangeSelectorOptionCollection;
    ph: FinancialChartRangeSelectorOptionCollection;
    private pc;
    customIndicatorNames: CustomIndicatorNameCollection;
    applyCustomIndicators: (sender: any, e: FinancialChartCustomIndicatorArgs) => void;
    protected get_bw(): boolean;
    protected set_bw(a: boolean): void;
    private w6;
    w7: Brush;
    private sb;
    so: number;
    private q3;
    re: boolean;
    private p3;
    p4: IChartLegend;
    private o3;
    private xAxis;
    private qi;
    private yAxis;
    private qh;
    private volumeAxis;
    private o2;
    private volumeXAxis;
    private qg;
    private indicatorAxis;
    private o1;
    private indicatorXAxis;
    private rq;
    private rt;
    private rs;
    private rv;
    private rz;
    r1: Date;
    private ry;
    r0: Date;
    private rw;
    readonly xAxisBreaks: ObservableCollection$1<any>;
}
/**
 * @hidden
 */
export declare class FinancialChartToolbar extends TemplatedHtmlControl {
    static $t: Type;
    bg(a: DomWrapper): void;
    bl(a: Event): void;
    private o;
    constructor(a: FinancialChart, b: any);
    private r;
    s: FinancialChartRangeSelector;
    private z;
    aa: FinancialChartTypePicker;
    private p;
    q: FinancialChartIndicatorMenu;
    private bm;
    private bh;
    private bi;
    private bj;
    w: FinancialChartToolbarViewModel;
    v(): FinancialChartToolbarContext;
    l(a: any): void;
    private bk;
    private aq;
    au: Date;
    private ap;
    at: Date;
    private ao;
    as: Date;
    private an;
    ar: Date;
    rangeChanged: (sender: any, e: EventArgs) => void;
    chartTypeChanged: (sender: any, e: EventArgs) => void;
    trendLineTypeChanged: (sender: any, e: EventArgs) => void;
    volumeTypeChanged: (sender: any, e: EventArgs) => void;
    indicatorTypesChanged: (sender: any, e: EventArgs) => void;
    overlayTypesChanged: (sender: any, e: EventArgs) => void;
    bn(): void;
    private x;
    y: FinancialChartType;
    private ah;
    ai: TrendLineType;
    private ab;
    ac: FinancialChartVolumeType;
    private ad;
    ae: FinancialIndicatorTypeCollection;
    private af;
    ag: FinancialOverlayTypeCollection;
    static am(a: IList, b: IList): boolean;
    aj(): FinancialChartToolbarVisualData;
    private t;
    u: FinancialChartRangeSelectorOptionCollection;
    private ak;
    al: boolean;
}
/**
 * @hidden
 */
export declare class FinancialChartRangeSelector extends TemplatedHtmlControl {
    static $t: Type;
    private static x;
    q: FinancialChartRangeSelectorViewModel;
    v: Date;
    u: Date;
    t: Date;
    s: Date;
    ab(): void;
    constructor(a: any);
    l(a: any): void;
    private z;
    rangeChanged: (sender: any, e: EventArgs) => void;
    r(): FinancialChartRangeSelectorVisualData;
    o: FinancialChartRangeSelectorOptionCollection;
    private aa;
    private p;
}
